/*
 File: o2_code_end.cpp
 Date and Time: Fri Jan 30 18:55:16 2015 
*/
#include "o2_code_end.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_o2_code_end;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 1;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
}
  Co2_code_end::
  Co2_code_end()
    :yacco2::CAbs_fsm
      ("o2_code_end.lex"
      ,"1.0"
      ,"30 dec 2002"
      ,false
      ,"Lexer syntax directed code end marker: \\threeasteric."
      ,"Fri Jan 30 18:55:16 2015 "
      ,S1_Co2_code_end){
    
  }
 
Co2_code_end::~Co2_code_end(){

  for(int x = 0;x < 1;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Co2_code_end::failed(){
      return false;
  }
  void Co2_code_end::op(){
}
int Co2_code_end::rhs_to_rules_mapping_[2] = {
 -1
 ,0 // subrule 1 for rule 1
}; 
Ro2_code_end::Ro2_code_end(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ro2_code_end",0,Co2_code_end::R_Ro2_code_end_,P,false,false){
}

void Ro2_code_end::sr1(){
  
      T_eocode* mkr = new T_eocode;
      mkr->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
      RSVP(mkr);
    
}

